[3G] NetworkManager does not detect ZTE AC8710 CDMA/EVDO 3G USB Modem

Bug #384344 reported by Naveen N Rao on 2009-06-06
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by Naveen N Rao
Nominated for Karmic by Naveen N Rao
modemmanager (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by Naveen N Rao
Nominated for Karmic by Naveen N Rao

Bug Description

Binary package hint: network-manager

I have a ZTE AC8710 3G CDMA/EVDO USB data card. Nothing used to work on the stock Intrepid install. But, I am able to connect to the internet using wvdial/gnome-ppp/kppp after loading the usbserial driver:
/sbin/modprobe usbserial vendor=0x19d2 product=0xffff (added as a rule to /etc/udev/rules.d/90-modprobe.rule)

Network Manager still doesn't detect it. I've added the product ID to /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi and now NetworkManager reports that it is ignoring due to lack of probed mobile broadband capabilities.

The change in 10-modem.fdi (starting with '+'):

      <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
+ <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe;0xffff">
          <match <email address hidden>:usb.interface.number" int="0">
+ <append key="info.capabilities" type="strlist">modem</append>
            <append key="modem.command_sets" type="strlist">IS-707-A</append>
          </match>
        </match>

Relevant logs:

syslog:
Jun 6 23:06:12 xxx kernel: [16583.410055] usb 4-2: new full speed USB device using uhci_hcd and address 8
Jun 6 23:06:13 xxx kernel: [16583.571335] usb 4-2: configuration #1 chosen from 1 choice
Jun 6 23:06:13 xxx kernel: [16583.575278] usbserial_generic 4-2:1.0: generic converter detected
Jun 6 23:06:13 xxx kernel: [16583.575509] usb 4-2: generic converter now attached to ttyUSB0
Jun 6 23:06:13 xxx kernel: [16583.578461] usbserial_generic 4-2:1.1: generic converter detected
Jun 6 23:06:13 xxx kernel: [16583.578630] usb 4-2: generic converter now attached to ttyUSB1
Jun 6 23:06:13 xxx kernel: [16583.580335] usbserial_generic 4-2:1.2: generic converter detected
Jun 6 23:06:13 xxx kernel: [16583.580495] usb 4-2: generic converter now attached to ttyUSB2
Jun 6 23:06:13 xxx kernel: [16583.583503] usbserial_generic 4-2:1.3: generic converter detected
Jun 6 23:06:13 xxx kernel: [16583.583662] usb 4-2: generic converter now attached to ttyUSB3
Jun 6 23:06:13 xxx nm-system-settings: SCPlugin-Ifupdown: device added (udi: /org/freedesktop/Hal/devices/usb_device_19d2_ffff_noserial_if0_serial_usb_0, iface: (null)): iface not found
Jun 6 23:06:13 xxx NetworkManager: <info> (ttyUSB1): ignoring due to lack of mobile broadband capabilties
Jun 6 23:06:13 xxx NetworkManager: <info> (ttyUSB0): found serial port (udev: hal:CDMA)
Jun 6 23:06:13 xxx NetworkManager: <info> (ttyUSB0): ignoring due to lack of probed mobile broadband capabilties
Jun 6 23:06:13 xxx NetworkManager: <info> (ttyUSB2): ignoring due to lack of mobile broadband capabilties
Jun 6 23:06:13 xxx NetworkManager: <info> (ttyUSB3): ignoring due to lack of mobile broadband capabilties

lsusb:
Bus 007 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 003: ID 17ef:1003 Lenovo
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 008: ID 19d2:ffff ONDA Communication S.p.A.
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 04b3:310c IBM Corp. Wheel Mouse
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

lsusb -vvv attached

lshal -u `hal-find-by-capability --capability modem`
udi = '/org/freedesktop/Hal/devices/usb_device_19d2_ffff_noserial_if0_serial_usb_0'
  info.capabilities = {'serial', 'modem', 'modem'} (string list)
  info.category = 'serial' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_ffff_noserial_if0' (string)
  info.product = 'ZTE CDMA Tech' (string)
  info.subsystem = 'tty' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_ffff_noserial_if0_serial_usb_0' (string)
  linux.device_file = '/dev/ttyUSB0' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'tty' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb4/4-2/4-2:1.0/ttyUSB0/tty/ttyUSB0' (string)
  modem.command_sets = {'IS-707-A'} (string list)
  serial.device = '/dev/ttyUSB0' (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_19d2_ffff_noserial_if0' (string)
  serial.port = 0 (0x0) (int)
  serial.type = 'usb' (string)

Intrepid with latest updates and network-manager ppa:

dpkg -l | grep network-manager
ii network-manager 0.7.1-0ubuntu1~nm1~intrepid2 network management framework daemon
ii network-manager-gnome 0.7.1-0ubuntu1~nm1~intrepid1 network management framework (GNOME frontend)

dpkg -l | grep libnm
ii libnm-glib0 0.7.1-0ubuntu1~nm1~intrepid2 network management framework (GLib shared libr
ii libnm-util0 0.7~~svn20081018t105859-0ubuntu2~nm4 network management framework (shared library)
ii libnm-util1 0.7.1-0ubuntu1~nm1~intrepid2 network management framework (shared library)

- Naveen
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: naveen 3889 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc020000 irq 32'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa211c,00100000'
   Controls : 14
   Simple ctrls : 7
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7VHT14WW-1.03'
   Mixer name : 'ThinkPad EC 7VHT14WW-1.03'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=50a8f9c6-85aa-4639-8365-5355277567f2
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
MachineType: LENOVO 6475KH8
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.33-020633-generic root=UUID=9dbcc2f5-ab98-4643-8529-361f46f5fecd ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_IN
Regression: No
Reproducible: Yes
Tags: lucid
TestedUpstream: Yes
Uname: Linux 2.6.33-020633-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 10/13/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7UET79WW (3.09 )
dmi.board.name: 6475KH8
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7UET79WW(3.09):bd10/13/2009:svnLENOVO:pn6475KH8:pvrThinkPadT400:rvnLENOVO:rn6475KH8:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 6475KH8
dmi.product.version: ThinkPad T400
dmi.sys.vendor: LENOVO

Naveen N Rao (naveen-n-rao) wrote :
Naveen N Rao (naveen-n-rao) wrote :
description: updated
summary: - [3G] NetworkManager does not detect ZTE 8710 CDMA/EVDO 3G Modem
+ [3G] NetworkManager does not detect ZTE AC8710 CDMA/EVDO 3G USB Modem
Tim Cole (timothy-j-cole) wrote :

https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/346835/comments/11

Replace /lib/udev/rules.d/77-nm-probe-modem-capabilities.rules with that one. The one shipped with Jaunty does some check based on the driver that causes the probing to be skipped if you are using usbserial.

Naveen N Rao (naveen-n-rao) wrote :

Tim,
I tried it and it didn't work - it seems to be specific to jaunty. I am still on intrepid, but using the latest network manager from the launchpad ppa.

FWIW, I've added information about the ZTE 3G card here: https://wiki.ubuntu.com/NetworkManager/Hardware/3G

I've been trying to figure out what's required to get a new 3G card working with NM and so far, I've come up with nothing. Isn't there a generic way we can get all usbserial-supported 3G cards to be recognized by NM?

- Naveen

Tim Cole (timothy-j-cole) wrote :

Ive noticed that your device shows 4 ttys and i will assume that ttyUSB0 is the cdma modem since you say you can connect with wvdial on that tty.

These are the steps I followed to get my modem recognized by NetworkManager.

The clue here is the line that says:
"Jun 6 23:06:13 xxx NetworkManager: <info> (ttyUSB0): found serial port (udev: hal:CDMA)"

In a working configuration I would expect it to say:
"Jun 6 23:06:13 xxx NetworkManager: <info> (ttyUSB0): found serial port (udev:CDMA hal:CDMA)" I'm guessing.

When you plug in your device, there are some udev rules that get run.
One of the rules that gets run, probes the modem to determine its capabilities. If this probe does not execute correctly, NM will not know that it can use your device.

The program that probes is /lib/udev/nm-modem-probe.

You can run this standalone to check that you modem is probed correctly.
try /lib/udev/nm-modem-probe --verbose --export /dev/ttyUSB0

You show get a bunch of output and ultimatleey two lines that read something like,
ID_NM_PROBED=1
ID_NM_CDMA=1 (just guessing here, mine is GSM).

Once you know the modem is being probed correctly, check that the rules are configured correctly.
In jaunty the live in
/lib/udev/rules.d/77-nm-probe-modem-capabilities.rules

for testing you could use something like

ACTION!="add|change", GOTO="nm_modem_probe_end"
SUBSYSTEM!="tty", GOTO="nm_modem_probe_end"
KERNEL!="tty*", GOTO="nm_modem_probe_end"

SUBSYSTEM=="tty", SUBSYSTEMS=="usb", DRIVERS=="?*", ENV{NM_MODEM_DRIVER}="$attr{driver}"
SUBSYSTEM=="tty", SUBSYSTEMS=="usb", ATTRS{bInterfaceNumber}=="?*", ENV{NM_MODEM_USB_INTERFACE_NUMBER}="$attr{bInterfaceNumber}"
SUBSYSTEM=="tty", SUBSYSTEMS=="usb", ATTRS{idVendor}=="?*", ATTRS{idProduct}=="?*", IMPORT{program}="nm-modem-probe --vid 0x$attr{idVendor} --pid 0x$attr{idProduct} --usb-interface $env{NM_MODEM_USB_INTERFACE_NUMBER} --driver $env{NM_MODEM_DRIVER} --delay 3000 --export $tempnode", GOTO="nm_modem_probe_end"

LABEL="nm_modem_probe_end"

If this does not work, please attach the verbose output of nm-modem-probe.
Also attach the ouput of udevadm query all on the /sys/class/tty/ttyUSB0 path.

Naveen N Rao (naveen-n-rao) wrote :

Got it working!

Tim, the problem so far has been that nm-modem-probe is not under /lib/udev and I have been attributing that to the fact that I am on intrepid. I had ended up thinking that nm-modem-probe was something introduced in jaunty and I hadn't been able to find out how nm probed the modem in intrepid.

Before just responding to you, I thought I'll dig some more. And interestingly, I found nm-modem-probe under /etc/udev. I've now created a symlink to this from under /lib/udev. dpkg lists this file as being installed by network-manager:
$ dpkg -S nm-modem-probe
network-manager: /etc/udev/nm-modem-probe

So, the question is: who is responsible for creating the /lib/udev/nm-modem-probe symlink?

I also needed to modify the default udev rules. The rules on my TP had a line that looked only for certain drivers - I added usbserial_generic to the list:
DRIVERS=="option|sierra|hso|cdc_acm|qcserial|usbserial_generic", GOTO="probe"

Of course, the simplified udev rules you pointed to earlier should work too.

As a reference, I am using Network Manager version 0.7.1-0ubuntu1~nm1~intrepid2 from the Network Manager ppa.

Thanks for all your help! We now need to see who should be responsible for /lib/udev/nm-modem-probe. Once that's done, and the udev rules updated, the only other part required to get a ZTE modem working would be the work needed to load usbserial module with the proper parameters.

- Naveen

Naveen N Rao (naveen-n-rao) wrote :

After briefly failing to work with 0.7.1.git.3.7406e3a0e-0ubuntu1~nm1~intrepid1, Network Manager has started to work again with my card with 0.7.1.git.4.364ab2f86-0ubuntu1~nm1~intrepid1. I am enlisting the changes required on an intrepid machine to get a ZTE modem working so that the relevant changes can be made (how do I file this bug against hal-info?).

As a summary, these are the changes required for usbserial-supported ZTE 3G cards to function properly with network manager on intrepid:
1. [hal-info] Update /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi to add 19d2:ffff:

@@ -317,8 +317,9 @@

       <match <email address hidden>:usb.vendor_id" int="0x19d2">
         <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
- <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe">
+ <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe;0xffff">
           <match <email address hidden>:usb.interface.number" int="0">
+ <append key="info.capabilities" type="strlist">modem</append>
             <append key="modem.command_sets" type="strlist">IS-707-A</append>
           </match>
         </match>

2. [udev] Update /etc/udev/rules.d/90-modprobe.rules to load usbserial on detecting ZTE modem:

@@ -66,4 +66,7 @@
 # Load drivers that match kernel-supplied alias
 ENV{MODALIAS}=="?*", RUN+="/sbin/modprobe -Q $env{MODALIAS}"

+# Load usbserial for the 3G modem
+SUBSYSTEM=="usb", SYSFS{idVendor}=="19d2", SYSFS{idProduct}=="ffff", RUN+="/sbin/modprobe usbserial vendor=0x19d2 product=0xffff"
+
 LABEL="modprobe_end"

3. [network-manager] /lib/udev/nm-modem-probe (move or symlink to /etc/udev/nm-modem-probe)
4. [network-manager] Updated /etc/udev/rules.d/77-nm-probe-modem-capabilities.rules to support usbserial:

 # Only probe known mobile broadband drivers
-DRIVERS=="option|sierra|hso|cdc_acm|qcserial|moto-modem", GOTO="probe"
+DRIVERS=="option|sierra|hso|cdc_acm|qcserial|moto-modem|usbserial_generic", GOTO="probe"

5. Finally, I see a new file being installed by Network Manager: /etc/udev/rules.d/77-nm-zte-port-types.rules. It didn't seem to have any effect on the working of my modem (even after adding rules for product ID ffff). So, what exactly does this do? And, should I be making any updates here?

- Naveen

Changed in network-manager (Ubuntu):
status: New → Confirmed
Naveen N Rao (naveen-n-rao) wrote :

Nominated for Intrepid and Karmic so that ZTE devices can be used in a true plug-n-play fashion.

- Naveen

affects: network-manager (Ubuntu) → modemmanager (Ubuntu)
Naveen N Rao (naveen-n-rao) wrote :

Tested out Karmic alpha 4. The issues remain the same:
- The modem (19d2:ffff) is not detected and the usbserial module is not loader.
- After loading the module, NetworkManager/ModemManager is unable to detect this as a 3G modem.
- With Intrepid, I could get my modem to work by tweaking how nm-modem-probe worked. With ModemManager, it looks like there is a plugin that needs to be updated.

So, again, how do I get Karmic to recognize my 3G modem out of the box?

- Naveen

Naveen N Rao (naveen-n-rao) wrote :
Download full text (5.2 KiB)

With latest karmic, this is what I see with modem-manager and networkmanager in debug mode, and with usbserial modprobed with proper vendor and product IDs:

naveen@naveen-desktop:~$ sudo /usr/sbin/modem-manager --debug
** Message: Loaded plugin Option
** Message: Loaded plugin Huawei
** Message: Loaded plugin Generic
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin MotoC
** Message: Loaded plugin Sierra
** Message: Loaded plugin Novatel
** Message: Loaded plugin Gobi
** Message: Loaded plugin ZTE
** Message: Loaded plugin Nokia
** Message: Loaded plugin Ericsson MBM
** Message: (ttyUSB2) opening serial device...
** (modem-manager:4969): DEBUG: (ttyUSB2): probe requested by plugin 'ZTE'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:4969): DEBUG: (ttyUSB1): probe requested by plugin 'ZTE'
** Message: (ttyUSB0) opening serial device...
** (modem-manager:4969): DEBUG: (ttyUSB0): probe requested by plugin 'ZTE'
** Message: (ttyUSB3) opening serial device...
** (modem-manager:4969): DEBUG: (ttyUSB3): probe requested by plugin 'ZTE'
** (modem-manager:4969): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:4969): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:4969): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:4969): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:4969): DEBUG: (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:4969): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** Message: (ttyUSB0) closing serial device...
** (modem-manager:4969): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** Message: (ZTE): CDMA modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-1 claimed port ttyUSB0
** (modem-manager:4969): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-1
** (modem-manager:4969): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:4969): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:4969): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:4969): DEBUG: (ttyUSB2): --> 'ATI<CR>'
** Message: (ttyUSB2) closing serial device...
** (modem-manager:4969): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:4969): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB3) closing serial device...

The probing seems to last forever since modem-manager tries to probe ttyUSB[1-3] which don't respond. ttyUSB0 responds immediately as can be seen. It takes nearly 5 min for ttyUSB0 to be recognised as a CDMA modem and exported. NetworkManager still refuses to enlist this modem:

naveen@naveen-desktop:~$ sudo NetworkManager --no-daemon
NetworkManager: <info> starting...
NetworkManager: <info> modem-manager is now available
NetworkManager: SCPlugin-Ifupdown: init!
NetworkManager: SCPlugin-Ifupdown: update_system_hostname
NetworkManager: SCPluginIfupdown: management mode: unmanaged
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:1e.0/0000:02:05.0/net/eth0, iface: eth0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/de...

Read more...

Alexander Sack (asac) wrote :

could you plese check with latest network manager/modemmanager in karmic (and if thats still broken with latest from https://edge.launchpad.net/~network-manager/+archive/trunk)?

Naveen N Rao (naveen-n-rao) wrote :
Download full text (3.6 KiB)

Alexander,
Thanks for looking into this. I was on the latest level available in karmic - I upgraded to the latest level from the network-manager edge ppa you suggested:

naveen@naveen-desktop:~$ dpkg -l | grep network-manager
ii network-manager 0.8~a~git.20091009t060001.bc653d2-0ubuntu1~nmt2 network management framework daemon
ii network-manager-gnome 0.8~a~git.20091009t022925.b257961-0ubuntu2~nmt1 network management framework (GNOME frontend
naveen@naveen-desktop:~$ dpkg -l | grep modemmanager
ii modemmanager 0.2.git.20091012t184520.6f65ad7-0ubuntu2~nmt1 D-Bus service for managing modems

I still see the same issues - network manager trace is the same as seen previously. Here is the modem manager trace:

naveen@naveen-desktop:~$ sudo /usr/sbin/modem-manager --debug
** Message: Loaded plugin Option
** Message: Loaded plugin Huawei
** Message: Loaded plugin Generic
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin MotoC
** Message: Loaded plugin Sierra
** Message: Loaded plugin Novatel
** Message: Loaded plugin Gobi
** Message: Loaded plugin ZTE
** Message: Loaded plugin Nokia
** Message: Loaded plugin Ericsson MBM
** Message: (ttyUSB2) opening serial device...
** (modem-manager:10204): DEBUG: (ttyUSB2): probe requested by plugin 'ZTE'
** Message: (ttyUSB3) opening serial device...
** (modem-manager:10204): DEBUG: (ttyUSB3): probe requested by plugin 'ZTE'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:10204): DEBUG: (ttyUSB1): probe requested by plugin 'ZTE'
** Message: (ttyUSB0) opening serial device...
** (modem-manager:10204): DEBUG: (ttyUSB0): probe requested by plugin 'ZTE'
** (modem-manager:10204): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
<LONG-PAUSE-1>
** (modem-manager:10204): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:10204): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:10204): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:10204): DEBUG: (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:10204): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
<LONG-PAUSE-2>
** Message: (ttyUSB0) closing serial device...
** (modem-manager:10204): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
<LONG-PAUSE-3>
** Message: (ZTE): CDMA modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-1 claimed port ttyUSB0
** (modem-manager:10204): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-1
** (modem-manager:10204): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:10204): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:10204): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:10204): DEBUG: (ttyUSB2): --> 'ATI<CR>'
<LONG-PAUSE-4>
** Message: (ttyUSB2) closing serial device...
** (modem-manager:10204): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:10204): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB3) closing serial device...
** Message: (ttyUSB1) closing serial device...

<LONG_PAUSE-X> identifies times when there was a long pause from modem-manager. Once modem ...

Read more...

Alexander Sack (asac) wrote :

i uploaded a new package batch now ... in a few hours you should get new bits on your mirros. please test those and let us know if they help your particular modem. thanks!

Naveen N Rao (naveen-n-rao) wrote :

Thanks for the upload!
I tested it but no luck - I see the exact same behavior as before. The versions I now have:

naveen@naveen-desktop:~$ dpkg -l | grep -e network-manager -e modemmanager | tr -s ' ' | cut -d' ' -f2-3
modemmanager 0.2.git.20091014t233208.16f3e00-0ubuntu1
network-manager 0.8~a~git.20091013t193206.679d548-0ubuntu2~nmt2
network-manager-gnome 0.8~a~git.20091014t134532.4033e62-0ubuntu1

- Naveen

Piankhi (piankhi) wrote :

I've managed to get NM to recognize my ZTE AC8710 (0xFFFF), by doing the following:

http://ubuntuforums.org/showthread.php?p=8170042#post8170042

Im using the NM package that is available in the repos as of 10/26/2009, 21:00 UTC, which is network-manager 0.8~a~git.20091013t193206.679d548-0ubuntu1 (i386)

But now i ran into this bug:

https://bugs.launchpad.net/ubuntu/+source/plasma-widget-networkmanagement/+bug/334122

Perhaps someone else can pick it up from here?

Alexander Sack (asac) wrote :

> I've managed to get NM to recognize my ZTE AC8710 (0xFFFF), by doing the following:
> http://ubuntuforums.org/showthread.php?p=8170042#post8170042

according to the forum post you forced the vid/pid to associated with the usbserial driver ...

 "modprobe usbserial vendor=0x19d2 product=0xFFFF"

seems like usbserial just needs those IDs ... will add linux package.

> But now i ran into this bug:
> https://bugs.launchpad.net/ubuntu/+source/plasma-widget-networkmanagement/+bug/334122

the bug you refer to is a generic bug without much direction. Could you please get good logs from modemmanager like described in https://wiki.ubuntu.com/DebuggingModemmanager ?

Thanks!

Alexander Sack (asac) wrote :

Here for kernel folks what the forum post mentioned above suggests:

"Checked dmesg after that. "Option.ko" was loaded but it didn't recognize my modem. So i looked into the "option.c" source file and turns out it has AC8710 hard-coded with 0xFFF1 instead of 0xFFFF as the product id. I simply recompiled the "option.c" source file after editing 0xFFF1 to 0xFFFF, copied the compiled option.ko file to /lib/modules/2.6.31-14-generic/kernel/drivers/usb/serial, did a "depmod -a" and finally "modprobe option". Now my modem is recognized and working as soon as i plug it in."

Naveen N Rao (naveen-n-rao) wrote :

Could only get to this today...

This method did not work for me. Interestingly, it looks like yours' is a GSM modem, while the one I have is a CDMA modem (which is strange considering the vendor id:product id match). As such, I suspect option module didn't work.

I suspect the problem is really with the way modem-manager is probing the modem ports - we just need a way to influence modem-manager's probing so that it only probes a certain serial device (ttyUSB0).

- Naveen

Naveen N Rao (naveen-n-rao) wrote :

Oops.. spoke too soon. I am able to get this working, but there is a catch.

- In option.c, if I *replace*
#define ZTE_PRODUCT_AC8710 0xfff1
with
#define ZTE_PRODUCT_AC8710 0xffff
then, the modem is detected by NM/MM.

- if, however, I *add*
#define ZTE_PRODUCT_AC8710_1 0xffff
then, the modem won't be detected by NM/MM.

So, it seems there is some magic associated with the #define name

As an aside, in NM, if I select my service provider [India->Tata Indicom Photon+], the username and password fields are not filled in by default nor am I prompted to fill those. This results in CHAP failing. Would be nice to get those filled in by default (internet/internet).

So far, so good - thanks, Piankhi. Though this technique is much harder to follow for newer kernels unless accepted by ubuntu/upstream...

- Naveen

zeus (zeus-tunalkan) wrote :

Hi there. I'm newby here, so sorry if I'm writing in the wrong place. However, this is the most similar thread to what I need that I've been able to find in the net.

I have a Novatel Merlin UX870 pc card (idxvendor=1410x1430) that I use as a modem. My OS is Xubuntu 9.04. My network-manager version is 0.7.1. My present linux kernel is version 2.6.28-17.

So far, everything worked ok. When I plugged in my card, it got detected by the system, properly loaded the modules (usbserial and option) and created the device nodes /dev/ttyUSB0 and /dev/ttyUSB1 (first one is the good one, the other I don't know its use), properly detected by NM, properly been able to create new mobile broadband connections with the applett netrowk-manager-gnome and, in general, all was happiness and joy.

But suddenly, since some days ago, after I-don't-know-what-I-may-have-possibly-done, NM doesn't like my modem any more. The system still sees it, and I can, for example, manually configure and "pon myconnection", and get online without problems. But NM refuses to accept the card.
The only relevant thing I remember having done recently is replacing the 2.6.28-15 kernel with the 2.6.28-17, but I'm not sure if that's the problem, as I think that dates of replacement/issue don't match. Besides, I've tried with another one kernel (2.6.24-23) and problem remains. So, probably that has nothing to do. I've a badly broken memory (in my head, I mean, not in the computer), but I don't remember having installed or uninstalled anything relevant. So, I'm at a loss.

Any clue? I'd very much appreciate some guideline or hint.

Useful information for somebody out there who will like to help me:

When plugged the card, or when restarted, NetworkManager logs that
(ttyUSB0): found serial port (udev: hal:GSM)
(ttyUSB0): ignoring due to lack of probed mobile broadband capabilities
(ttyUSB1): ignoring due to lack of mobile broadband capabilities

End of "nm-modem-probe /dev/ttyUSB0" command says that
modem_probe_caps(): GCAP response: +GCAP: +CGSM, +DS
ID_NM_MODEM_GSM=1
ID_NM_MODDM_PROBED=1
main(): /dev/ttyUSB0: caps (0x9) GSM

I've been modifying the /lib/udev/rules.d/77-nm-probemodem-capabilities.rules as suggested above in this post, tried all possible combinations, but NM insists in denying broadband capabilities to my card. Seems like if it wasn't running nm-modem-probe, or something...

zeus (zeus-tunalkan) wrote :

Another couple of things.

One is about what your comment, Naveen, on two cards having same id and vendor but being reported as having different capabilities, GSM and CDMA. Well, my card is a CDMA one, I'm positive about that, however NM reports it as GSM. I can only make a guess, fruit of my ignorance: maybe the NM report is related to the couple device+SIM? Thus, if we have a CDMA capable device but our ISP is only providing us GSM, might it be possible that NM reported GSM? Sorry if I'm talking nonsense, but the fact is that NM reports my card as GSM (while it's CDMA), and that presently I'm only getting GPRS connection from my ISP (I believe I might have exceeded the download limit above which they cut down the 3G speed to 2G). That might explain your case, Naveen, and I hope it explains mine! Because the other explanation I can think of is that, somehow, I've managed to damage my card (in one of those hotplugging-computer freezing-hotunplugging cycles). But would it still work?

The other thing is more related with the bug itself: after upgrading network-manager to version 0.7.2, now I don't get the
ID_NM_MODEM_GSM=1
but only the
ID_NM_MODEM_PROBED=1
when "nm-modem-probing" it

Naveen N Rao (naveen-n-rao) wrote :

Well, I doubt if the GSM/CDMA aspect is relevant. What's more important is that your device seems to be supported out of the box, assuming it is being detected without any configuration changes. If so, the issue is just with how NM is probing the modem. You could try reverting to older NM levels to see if your modem starts working - newer NM could have broken compatibility with your modem.

You might also want to refer to:
https://wiki.ubuntu.com/NetworkManager/Hardware/3G/Probing
https://wiki.kubuntu.org/DebuggingNetworkManager

If nothing helps, you should file a new bug.

- Naveen

zeus (zeus-tunalkan) wrote :

Thanks Naveen.

I've tried to revert to former NM versions, but it didn't work. Bug is still there. I took a look in the links you post, which are useful to find information about the modem in order to file a bug. That's actually what I'm going to do.

pablo

Jeremy Foshee (jeremyfoshee) wrote :

Hi Naveen,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 384344

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Naveen N Rao (naveen-n-rao) wrote :

Hi Jeremy,
Tested with the brand new Lucid beta 1:
- The modem is still not recognized out of the box. I need to modprobe usbserial manually.
- NetworkManager/ModemManager looks to have been fixed as it is able to probe and detect the modem quickly (yay!)
- NM Modem configuration wizard still does not populate the username/password fields automatically (these are fixed entries, so should be included with the connection information (Tata Indicom Photon+): internet/internet).

I'll attach the required logs and test with the mainline kernel.

- Naveen

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Naveen N Rao (naveen-n-rao) wrote :

Issue confirmed with upstream 2.6.33-020633-generic kernel - the behavior is similar to lucid with stock kernel.
Lucid didn't boot with the latest 2.6.34 kernel.

- Naveen

tags: removed: needs-kernel-logs needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
madbiologist (me-again) wrote :

A patch to add out-of-the-box support for this modem has been included upstream in kernel 2.6.34-rc7. From the changelog:

commit fe30bc1b16dcfbbadf3f77bbad1c9014b23704cd
Author: Mahesh Kuruganti
Date: Mon Apr 12 22:37:02 2010 +0530

    USB: serial: option: ZTEAC8710 Support with Device ID 0xffff

    PATCH TO EXTEND SUPPORT TO AC8710 WITH 0xFFFF Product ID.

    Signed-off-by: Mahesh Kuruganti
    Signed-off-by: Greg Kroah-Hartman

A PPA of this kernel is available at http://kernel.ubuntu.com/~kernel-ppa/mainline/

Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Naveen N Rao (naveen-n-rao) wrote :

That's a thumbs up - any chance this can be back-ported to Lucid?

- Naveen

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
m0rtal (alexander-nagorny) wrote :

I don't know what's going on, but same modem doesn't work on Ubuntu 11.10:

uname -a
Linux 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:50:42 UTC 2011 i686 i686 i386 GNU/Linux

but it was working on 10.10!

asux (ckasux) wrote :

chec packages .hwinfo

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers